﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using EJ2ScheduleSample.Models;

namespace EJ2ScheduleSample.Data
{
    public static class DbInitializer
    {
        public static void Initialize(ScheduleDataContext context)
        {
            context.Database.EnsureCreated();

            // Look for any students.
            if (context.ScheduleEvents.Any())
            {
                return;   // DB has been seeded
            }

            var appointments = new ScheduleEvent[]
            {
            new ScheduleEvent{ OwnerId=1, Subject="Margaret Demo", StartTime= DateTime.Now, EndTime=DateTime.Now, StartTimezone="", EndTimezone="", IsAllDay=true, Description="",Location=""},
            new ScheduleEvent{ OwnerId=2, Subject="Robert Demo", StartTime= DateTime.Now.AddDays(1), EndTime=DateTime.Now.AddDays(1), StartTimezone="", EndTimezone="", IsAllDay=true, Description="",Location=""},
            new ScheduleEvent{ OwnerId=3, Subject="Laura Demo", StartTime= DateTime.Now.AddDays(2), EndTime=DateTime.Now.AddDays(2), StartTimezone="", EndTimezone="", IsAllDay=true, Description="",Location=""},
            new ScheduleEvent{ OwnerId=4, Subject="Max Demo", StartTime= DateTime.Now.AddDays(3), EndTime=DateTime.Now.AddDays(3), StartTimezone="", EndTimezone="", IsAllDay=true, Description="",Location=""},
            new ScheduleEvent{ OwnerId=5, Subject="Mary Demo", StartTime= DateTime.Now.AddDays(4), EndTime=DateTime.Now.AddDays(4), StartTimezone="", EndTimezone="", IsAllDay=true, Description="",Location=""},

            };
            foreach (ScheduleEvent app in appointments)
            {
                context.ScheduleEvents.Add(app);
            }
            context.SaveChanges();
        }
    }
}
